Bug 988087 - [ExternalTasks] When adding new step, state is always STARTED
[ExternalTasks] When adding new step, state is always STARTED
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eli Mesika
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 13:31 EDT by vszocs
Modified: 2013-09-23 03:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:27:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17469 None None None Never
oVirt gerrit 18389 None None None Never

  None (edit)
Description vszocs 2013-07-24 13:31:44 EDT
Assume JOB_ID is ID of existing job.

POST /api/jobs/JOB_ID/steps/
<step>
  <description>Test Step</description>
  <type>EXECUTING</type>
  <status>
    <state>FINISHED</state>
  </status>
</step>

POST response = step created with state STARTED
<step href="/api/jobs/JOB_ID/steps/NEW_STEP_ID" id="NEW_STEP_ID">
    <actions>
        <link href="/api/jobs/JOB_ID/steps/NEW_STEP_ID/end" rel="end"/>
    </actions>
    <description>Test Step</description>
    <job href="/api/jobs/JOB_ID" id="JOB_ID"/>
    <type>executing</type>
    <number>0</number>
    <status>
        <state>STARTED</state>
    </status>
    <start_time>2013-07-24T16:59:37.061+02:00</start_time>
    <external>true</external>
</step>

New step always put into STARTED state actually makes sense.

But if I omit <status> from POST request, I'll get following fault: Step [status.state] required for add

This makes <status> required in POST request but it doesn't seem to have any effect.
Comment 1 Eli Mesika 2013-08-12 16:55:23 EDT
fixed in commit: d47a623
Comment 2 Itamar Heim 2013-08-21 12:40:04 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 3 Itamar Heim 2013-09-23 03:27:20 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.